H_ERRNO(3P)

PROLOG
This manual page is part of the POSIX Programmer's Manual. The Linux implementation of this interface may differ (consult the corresponding Linux manual page for details of Linux behavior), or the interface may not be implemented on Linux.

NAME
h_errno - error return value for network database operations

SYNOPSIS

#include <netdb.h>

DESCRIPTION

This method of returning errors is used only in connection with obsolescent functions.

The <netdb.h> header provides a declaration of h_errno as a modifiable lvalue of type int.

It is unspecified whether h_errno is a macro or an identifier declared with external linkage. If a macro definition is suppressed in order to access an actual object, or a program defines an identifier with the name h_errno, the behavior is undefined.

RETURN VALUE

None.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

Applications should obtain the definition of h_errno by the inclusion of the <netdb.h> header.

RATIONALE

None.

FUTURE DIRECTIONS

h_errno may be withdrawn in a future version.

SEE ALSO

endhostent(), errno(), the Base Definitions volume of IEEE Std 1003.1-2001, <netdb.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .